githubEdit

eth_hashrate - Polygon

Example code for the eth_hashrate json-rpc method. Сomplete guide on how to use eth_hashrate json-rpc in GetBlock.io Web3 documentation.

The eth_hashrate method returns the number of hashes per second that the node is mining with. Since Polygon uses Proof of Stake, this typically returns 0.

circle-info

Because Polygon uses Proof of Stake, eth_hashrate typically returns 0x0.

Parameters

  • none

Request

cURL
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_hashrate",
    "params": [],
    "id": "getblock.io"
}'

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "0x0"
}

Response Parameters

Field
Type
Description

jsonrpc

string

JSON-RPC version (2.0)

id

string

Request identifier

result

varies

Hashrate as hexadecimal

Use Case

The eth_hashrate method is useful for:

  • Ethereum compatibility

  • Node status

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

-32600

Invalid Request

Malformed request body

-32602

Invalid params

Invalid method parameters

Web3 Integration

Last updated

Was this helpful?